#include "std_lib_inc.h"
#include <exception>
#ifndef FILEERROR_H
#define FILEERROR_H

namespace err {
    class FileError : public exception {
        private:
            string what;

        public:
            FileError(const string& msg) : exception(), what(msg) {}
            string why() {
                return this->what;
            }
    };
}

#endif // FILEERROR_H

