#include "std_lib_inc.h"
#include <exception>
#ifndef FORMATERROR_H
#define FORMATERROR_H

namespace err {
    class FormatError : public exception {
        private:
            string what;

        public:
            FormatError(const string& msg) : exception(), what(msg) {}
            string why() {
                return this->what;
            }
    };
}

#endif // FORMATERROR_H

