#include "std_lib_inc.h"
#include "parameter_reader.h"
#ifndef SUBCOMMAND_H
#define SUBCOMMAND_H

namespace commands {
    class SubCommand {
        string name;
        int return_value;

        public:
            SubCommand(const string& indicator, const int& value);
            string get_name();
            int get_value();
            virtual void run(int argc, stringstream& args);
    };
}

#endif // SUBCOMMAND_H

