#include "std_lib_inc.h"
#include "User.h"
#include "Task.h"
#include "Assignment.h"
#include "DataType.h"
#ifndef ENVIRONMENT_H
#define ENVIRONMENT_H

using models::User;
using models::Task;
using models::Assignment;

namespace util {
    class Manager {
        private:
            vector<User> users;
            vector<Task> tasks;
            vector<Assignment> user_task_index;
            string filename;

        public:
            Manager();

            void save();

            vector<User> get_users() const;
            vector<Task> get_task() const;
            vector<Assignment> get_user_task_index() const;
    };


    inline DataType operator++(DataType& status);
}

#endif // ENVIRONMENT_H

